# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(CGI/Util.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Time/HiRes.pm) perl(JSON/Any.pm)
# END SourceDeps(oneline)
%define module_version 0.0.03
%define module_name WWW-Bebo-API
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.03
Release: alt1
Summary: Bebo API implementation
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CL/CLSCOTT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is an initial release and only supports the Facebook APIs at the moment..
A Perl implementation of the Bebo API, started as a fork of WWW::Facebook::API.

By default it uses the JSON::Any manpage to parse the response
returned by Bebo's server. There is an option to return the raw response
in either XML or JSON (See the `parse' method below). As the synopsis states,
the following environment variables are used to set the defaults for new
instances:

    WBA_API_KEY
    WBA_SECRET
    WBA_SESSION_KEY
    WBA_DESKTOP

Additionally, for each instance that is created, the following environment
variables are used if no values are set:

    WBA_API_KEY_APP_PATH
    WBA_SECRET_APP_PATH
    WBA_SESSION_KEY_APP_PATH
    WBA_DESKTOP_APP_PATH

Where `APP_PATH' is replaced by whatever $client->app_path returns, with all
non-alphanumeric characters replaced with an underscore and all characters
upcased (e.g., foo-bar-baz becomes FOO_BAR_BAZ).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/W*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.03-alt1
- initial import by package builder

